.bx-filter {

	.bx-filter-p-0 {
		padding-left: 0;
	}

	&:not(.horizontal) {

		.bx-filter-section {
			display: none;
			margin-top: 18px;
		}

	}

	@media (min-width: $screen-xs-min) {

		&:not(.horizontal) {

			.bx-filter-section {
				display: block;
				margin-top: 0;
			}

		}

	}

	.panel {

		> .panel-heading {
			cursor: pointer;
			position: relative;
			text-transform: uppercase;
			@include user-select(none);

			&:before {
				font-family: FontAwesome;
				@include font-size($font-size-root, 20px);
				position: absolute;
				content: $fa-var-angle-down;
				top: 50%;
				right: 15px;
				@include translate(-50%, -50%);
			}

		}

	}

	.panel-body {
		display: none;
	}

	.panel.bx-active {

		> .panel-heading {

			&:before {
				content: $fa-var-angle-up;
			}

		}

		.panel-body {
			display: block;
		}

	}

	.bx-filter-param-btn-block {

		> div {
			display: block;
		}

		.bx-filter-param-text {
			font-weight: normal;
		}

	}

	.bx-filter-param-btn-inline {

		> div {
			display: inline-block;
		}

		.bx-filter-param-label {
			margin-right: 2px;
			margin-bottom: 2px;
		}

	}

	.bx-filter-param-label {
		cursor: pointer;

		.bx-filter-param-btn {
			font-weight: normal;
			display: inline-block;
			width: 30px;
			height: 30px;
			padding: 1px;
			text-align: center;
			text-decoration: none;
			color: #000;
			vertical-align: middle;
			border: $input-checkbox-icon-border;
			background-color: #fff;
			position: relative;
			cursor: pointer;
		}

		&:not(.disabled):hover {

			.bx-filter-param-btn {
					//border-color: #000;
				}

				.bx-filter-param-text {
					color: $brand-primary;
				}

			}

			&.bx-active {

				.bx-filter-param-btn {
					border-color: $brand-primary;
				}

			}

			&.disabled {
				opacity: .5;

				.bx-filter-param-btn {
					background: transparent;

					.bx-filter-btn-color-icon {
						opacity: .2;
					}

				}

			}

		}

		.bx-filter-btn-color-icon {
			position: relative;
			width: 26px;
			height: 26px;
			display: inline-block;
			vertical-align: middle;
			-webkit-background-size: cover;
			background-size: cover;

			&.all {

				&:before {
					position: absolute;
					top: 0;
					left: 0;
					width: 60%;
					height: 60%;
					background: #fff;
					content: " ";
					box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .2);
				}

				&:after {
					position: absolute;
					right: 0;
					bottom: 0;
					width: 60%;
					height: 60%;
					background: #fff;
					content: " ";
					box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .2);
				}

			}

		}

		.bx-filter-parameters-box-container-block {
			display: table;
		}

		.bx-filter-parameters-box-container {
			max-height: 250px;
		}

		.filter-currencies,
		.price-from,
		.price-to,
		.bx-filter-input-container {
			display: table-cell;
			vertical-align: middle;
		}

		.filter-currencies {
			padding-left: 5px;
			width: 1%;
		}
		.price-from,
		.price-to {
			text-transform: lowercase;
			padding-right: 5px;
			width: 1%;
		}
		.bx-filter-input-container > input {
			width: 100%;
			padding: 0 7px;
		}

		.bx-ui-slider-track-container{
			padding-top: 45px;
			padding-bottom: 25px;
			width: 100%;
			line-height: $line-height-base;

			.bx-ui-slider-track {
				position: relative;
				height: 7px;
				margin-left: 8.33333333%;
				margin-right: 8.33333333%;

				.bx-ui-slider-part {
					position: absolute;
					top: -6px;
					width: 1px;
					height: 10px;
					background-color: #a2bfc7;

					> span {
						@include font-size($font-size-root, 11px);
						position: absolute;
						top: -16px;
						left: 50%;
						display: block;
						width: 100px;
						margin-left: -50px;
						text-align: center;
					}

					&.p1,
					&.p5 {
						top: -15px;
						color: #000;
						height: 17px;
					}

					&.p1 {
						left: 0;
					}

					&.p2 {
						left: 25%;
					}

					&.p3 {
						left: 50%;
					}

					&.p4 {
						left: 75%;
					}

					&.p5 {
						right: -0;
					}

				}

				.bx-ui-slider-pricebar-vd,
				.bx-ui-slider-pricebar-vn,
				.bx-ui-slider-pricebar-v,
				.bx-ui-slider-range {
					position: absolute;
					top: 0;
					bottom: 0;
				}

				.bx-ui-slider-range {
					z-index: 90;

					.bx-ui-slider-handle {
						position: absolute;
						top: 50%;
						width: 22px;
						height: 22px;
						border-bottom: none;

						&.left {
							left: 0;
							width: 0;
							height: 0;
							border: 9px solid $brand-primary;
							border-radius: 50%;
							@include translate(-50%, -50%);
						}

						&.right {
							right: 0;
							margin-right: -18px;
							width: 0;
							height: 0;
							border: 9px solid $brand-primary;
							border-radius: 50%;
							@include translate(-50%, -50%);
						}

						&:before {
							content: "";
							border: 4px solid #fff;
							border-radius: 50%;
							display: block;
							@include translate(-50%, -50%);
						}

					}

				}

				.bx-ui-slider-pricebar-vd {
					z-index: 60;
				}

				.bx-ui-slider-pricebar-vn {
					z-index: 70;
					background-color: lighten($brand-primary, 10%);

					&:before {
						content: "";
						background: transparent;
						position: absolute;
						width: 80%;
						height: 7px;
						margin-left: 10%;
						z-index: 81;
					}

				}

				.bx-ui-slider-pricebar-v {
					z-index: 80;
				}

			}

		}

		.bx-filter-container-modef {
			display: none !important;
		}

	//}

	&.horizontal {
		position: relative;
		padding-bottom: 10px;
		padding-top: 10px;
		border-top: 1px solid $panel-inner-border;
		border-bottom: 1px solid $panel-inner-border;
		margin-bottom: 20px;
		@include clearfix();

		@media (min-width: $screen-xs-min) {

			&{
				padding-left: 90px;
			}

			.filter-name {
				margin-left: -90px;
				float: left;
			}

		}

		@media (max-width: $screen-xs-max) {

			.filter-name {
				padding-left: $grid-gutter-width / 2
			}

		}

		.filter-name {
			padding-top: $padding-base-vertical;
			padding-bottom: $padding-base-vertical;
			line-height: $line-height-base;
			font-weight: bold;
		}

		.bx-filter-parameters-box {
			margin: 1px 0;

			> .btn {
				border: none;
			}

			> .dropdown-menu {
				width: 300px;
				padding: 15px;

				> .bx-filter-parameters-box-container {

					> .checkbox,
					> .radio {
						margin-top: 5px;
						margin-bottom: 5px;
					}

				}

			}

		}

		.bx-filter-param-label {
			cursor: pointer;

			.bx-filter-param-btn {
				width: 25px;
				height: 25px;

				.bx-filter-btn-color-icon {
					width: 21px;
					height: 21px;
				}

			}

		}

	}

}